﻿@using twitch.api
@model FollowersActivityModel
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
}

<h1>Filtrer les followers</h1>

<form asp-action="FollowersActivity" asp-controller="Follower" id="active-followers-form" method="post">
    <select name="Option" asp-items="Html.GetEnumSelectList<OptionType>()" asp-for=@Model.Option></select>
</form>

<table class="table">
    <tr>
        <th>Pseudo</th>
        <th>Profile Picture</th>
    </tr>
    <tbody>
        @foreach (var follower in Model.Followers)
        {
            <tr>
                <td>@follower.Pseudo</td>
                <td><img src="@follower.ProfilePicture") /></td>
            </tr>    
        }
    </tbody>
</table>

<script>
    const form = document.querySelector('#active-followers-form')
    const select = form.querySelector('select')
    select.addEventListener('change', (el, evt) => form.submit())
</script>